#ifndef SERIAL_H_INCLUDED
#define SERIAL_H_INCLUDED

#include <cinttypes>
#include <QString>

class hwinf;
class Serial {
    hwinf const *m_hwinf;
    uint32_t m_baudrate;
    QString m_baudrateStr;
    QString m_comPort;
public:
    Serial(hwinf const *hwinf, uint32_t baudrate, QString baudrateStr,
           QString comPort);

    bool openSerial();
    bool testConnection();
    bool closeSerial();
};

#endif // SERIAL_H_INCLUDED
